# Ensure we require the local version and not one we might have installed already
require File.join([File.dirname(__FILE__),'lib','gitlink','version.rb'])
spec = Gem::Specification.new do |s|
  s.name = 'gitlink'
  s.version = Gitlink::VERSION
  s.author = 'Chase Clettenberg'
  s.email = 'clettenberg@gmail.com'
  s.homepage = 'https://github.com/cacqw7/gitlink'
  s.license = 'MIT'
  s.platform = Gem::Platform::RUBY
  s.summary = 'Open GitHub projects from the command line'
  s.files = `git ls-files`.split("\n")
  s.require_paths << 'lib'
  s.has_rdoc = true
  s.extra_rdoc_files = ['README.md','gitlink.rdoc']
  s.rdoc_options << '--title' << 'gitlink' << '--main' << 'README.rdoc' << '-ri'
  s.bindir = 'bin'
  s.executables << 'gitlink'
  s.add_development_dependency('rake', '~> 10.5' )
  s.add_development_dependency('rdoc', '~> 4.2')
  s.add_development_dependency('aruba', '~> 0.12.0')
  s.add_runtime_dependency('gli','2.13.4')
end
