# `gitlink`
Simple gem to open GitHub remotes in the browser from the command line

Installation

`gem install gitlink`

#### Commands

Opens the project page

```shell
$ gitlink project
$ gitlink p #alias
$ gitlink #defaults to `project` if no commands are given
```
Opens Pull Request page

```shell
$ gitlink pulls
$ gitlink pr #alias
```
Opens project to specific branch

```shell
$ gitlink branch #defaults to current branch
$ gitlink branch branch-name
$ gitlink b branch-name #alias
```
Opens project wiki page

```shell
$ gitlink wiki
$ gitlink w #alias
```

*You can specify which remote you want to open*

```shell
$ gitlink --remote=other-remote project
$ gitlink -r other-remote branch my-branch
```
